Subject: Re: [PATCH 0/2] check-docs: fix 'diagnose' and 'version'

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Sep 2022 17:27:10 -0700

"Victoria Dye via GitGitGadget" <[email-masked]> writes:

> While locally verifying an unrelated documentation change, I noticed that
> the 'check-docs' target displayed two warnings on the 'master' branch:
>
> no link: git-diagnose
> removed but documented: git-version
>
>
> The first message was due to the introduction of 'git diagnose' [1] not
> including a corresponding update to 'command-list.txt'; the latter was due
> to 'git-version' not being built as a standalone builtin executable. This
> series corrects both, adding 'git-diagnose' and 'git-version' as
> "ancilliaryinterrogators" to 'command-list.txt' and building a 'git-version'
> executable.

Very much appreciated.  I agree that making it an error would have
helped us a lot, and I also agree with you that it can be left for
the next cycle.

Will queue.  Thanks.